SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003370SOGoBackend Address Bookpublic2015-10-20 05:262015-10-31 20:49
Reporterdavdroid 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.10 
Target VersionFixed in Version2.3.3 
Summary0003370: Empty multi-status on REPORT addressbook-query
DescriptionWhenever submitting a REPORT addressbook-query, SOGo returns an empty multi-status response.

Expected results: list of all contact resources

Actual result: empty multistatus:
<D:multistatus xmlns:D="DAV:" xmlns:C="urn:ietf:params:xml:ns:carddav"></D:multistatus>
Steps To Reproducecurl -vX REPORT -H 'Depth: 1' -H 'Content-Type: application/xml; charset=utf8' --data @abq.xml -u xxxx:xxxx http://debian-test.lan/SOGo/dav/test/Contacts/personal/ [^]

---------- abq.xml ----------
<?xml version='1.0' encoding='UTF-8' ?><CARD:addressbook-query xmlns="DAV:" xmlns:CARD="urn:ietf:params:xml:ns:carddav"><prop><getetag /></prop><CARD:filter /></CARD:addressbook-query>
-----------------------------
Additional InformationIt also returns an empty response when I add filter components, but primarily I'm interested in all addresses (and not other data) in this collection, so I set an empty filter (because a CARDDAV:filter is required by the RFC; it doesn't work without CARDDAV:filter, too).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0009014)
davdroid (reporter)
2015-10-20 08:52

See also http://sabre.io/dav/building-a-carddav-client/, [^] they use <addressbook-query> with an empty filter too.
(0009018)
johan.smits (reporter)
2015-10-21 03:15

Please bump the priority, effects my users also.
User avatar (0009019)
ludovic (administrator)
2015-10-21 10:55

https://github.com/inverse-inc/sogo/commit/2c723070c69899055b456119f6e8f42c279d0c57 [^]

- Issue History
Date Modified Username Field Change
2015-10-20 05:26 davdroid New Issue
2015-10-20 08:52 davdroid Note Added: 0009014
2015-10-21 03:15 johan.smits Note Added: 0009018
2015-10-21 10:55 ludovic Note Added: 0009019
2015-10-21 10:55 ludovic Status new => resolved
2015-10-21 10:55 ludovic Fixed in Version => 2.3.3
2015-10-21 10:55 ludovic Resolution open => fixed
2015-10-21 10:55 ludovic Assigned To => ludovic


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker